Skip to content

Get user real-name authentication information

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get user real-name authentication information through user ID, and you can choose to specify the user ID type.

Method name

ManagementClient.get_user_principal_authentication_info

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
userIdstringyes-The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser ID type, the default value is user_id, the optional values are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: User phone number
- email: User email
- username: User name
- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
user_id

Request Response

Type: PrincipalAuthenticationInfoPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a PrincipalAuthenticationInfoPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "authenticated": true,
      "principalType": "Certification subject type, P represents individual, E represents enterprise",
      "principalCode": "6229c4deb3e4d8a20b6021ff",
      "principalName": "ss",
      "authenticatedAt": "2022-04-05T10:23:50.631Z"
    }
  }
}

Data Structure

PrincipalAuthenticationInfoPagingDto

NameTypeIs it required?DescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: <a PrincipalAuthenticationInfoDto.

PrincipalAuthenticationInfoDto

NameTypeIs it required?DescriptionSample value
authenticatedbooleanyesWhether to authenticatetrue
principalTypestringyesUser IDAuthentication principal type, P stands for individual, E stands for enterprise
principalCodestringyesAuthentication principal certificate number6229c4deb3e4d8a20b6021ff
principalNamestringyesAuthentication principal namess
authenticatedAtstringyesCertification time, standard time string2022-04-05T10:23:50.631Z

Agent infrastructure for identity, memory, and web action.